<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">

.pixel{
	width:10px;
	height:10px;
	border-radius:10px;
	background-color:#FF0000;
	position:absolute;
	top:0px;
	left:0px;
}

</style>
<script type="text/javascript">
<!--
this.g={};
g.x=0;
g.y=0;

window.addEventListener("keydown",salta);
window.addEventListener("load",arranca);
function salta(){
	switch(event.keyCode){
		case 38:
			g.direccion="arriba";
			break;
		case 40:
			g.direccion="abajo";
			break;
		case 39:
			g.direccion="derecha";			
			break;
		case 37:
			g.direccion="izquierda";
			break;
	}
}

function arranca(){
	g.pixel=document.querySelector(".pixel");
	setInterval(f1,100);	
}

function f1(){
	switch(g.direccion){
		case "arriba":
			g.y--;
			break;
		case "abajo":
			g.y++;
			break;
		case "derecha":
			g.x++;
			break;
		case "izquierda":
			g.x--;
			break;
	}
	g.pixel.style.left=g.x + "px";
	g.pixel.style.top=g.y + "px";
}
//-->
</script>

</head>

<body>
<div class="pixel">
</div>
</body>
</html>
